Installer - Bug #30423

pulp 3 is configured to store downloaded content in /var/lib/pulp/docroot/
07/16/2020 07:27 PM - Justin Sherrill

Status: Closed
Priority: Normal
Assignee: William Clark
Category: Foreman modules
Target version:
Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/583,
https://github.com/theforeman/puppet-pul
pcore/pull/124,
https://github.com/theforeman/foreman-i
nstaller/pull/589,
https://github.com/theforeman/puppet-pul
pcore/pull/113,
https://github.com/theforeman/puppet-for
eman_proxy_content/pull/275,
https://github.com/theforeman/foreman-i
nstaller/pull/543,
https://github.com/theforeman/puppet-pul
pcore/pull/115,
https://github.com/theforeman/puppet-pul
pcore/pull/105
Description

Pulp3 uses this setting to configure where things are downloaded:

MEDIA_ROOT

we are currently setting it to "/var/lib/pulp/docroot”, which means things are downloaded to var/lib/pulp/docroot/artifiact/.

This differs from a vanilla pulp3 install and i think it is a mistake. | think it should be set to /var/lib/pulp/

Related issues:

Related to Installer - Bug #31548: Incorrect legacy dir in Pulpcore migration

Closed

Associated revisions

Revision 6a88107e - 10/09/2020 09:07 PM - Ewoud Kohl van Wijngaarden
Fixes #30423 - Change the application layout
This explicitly sets the all directories and documents the layout. It

diverges from the upstream defaults in that MEDIA_ROOT is set to a
subdirectory and the directory permissions are stricter than upstream.

Upstream this layout is proposed as the default.
https://pulp.plan.io/issues/7178 has been opened for that.

Revision d41f1fd6 - 10/13/2020 04:24 PM - Ewoud Kohl van Wijngaarden

Refs #30423 - Migrate Pulp media directory
The Pulp media root is being changed from /var/lib/pulp to
/var/lib/pulp/media. This migration moves the existing content in

/var/lib/pulp/artifact.

Pulp only really uses $MEDIA_ROOT/artifact but various tools that can do
consistency checks use the entire MEDIA_ROOT.
https://pulp.plan.io/issues/7178

These hooks are implemented in 4 stages, 3 of which in hooks.

e pre_validations - Checks if a migration would be a problem
e pre - Moves the directory and creates a symlink

e Puppet - Updates the config and restarts services

e post - Cleans up the old symlink

History

#1 - 07/16/2020 10:59 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to William Clark

- Pull request https://github.com/theforeman/puppet-pulpcore/pull/113 added

#2 - 07/17/2020 03:42 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/275 added

#3 - 07/17/2020 04:23 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/543 added

#4 - 07/21/2020 04:09 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/115 added

#5 - 07/21/2020 05:23 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/105 added

#6 - 10/05/2020 05:56 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/583 added

#7 - 10/05/2020 11:58 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/124 added

#8 - 10/09/2020 10:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulpcore|6a88107e66607dbbbd008d5b2139ed538395{177.

#9 - 10/11/2020 04:07 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/589 added

#10 - 12/23/2020 03:37 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #31548: Incorrect legacy dir in Pulpcore migration added
